bootstrap = require("bootstrap")

bootstrap.init()

ci = require("ci")
godi = require("godi")
oasis = require("oasis")
darcs = require("darcs")

ci.init()
godi.init()
darcs.init()
oasis.init()

godi.bootstrap("3.12")
godi.update()
godi.upgrade()
godi.build_ocsigen()
godi.build_many(
  {"godi-findlib",
   "godi-xml-light",
   "godi-ocaml-fileutils",
   "godi-extlib",
   "godi-pcre",
   "godi-ounit",
   "godi-camomile",
   "apps-ocamlify"})

oasis.std_process("--enable-tests")
darcs.create_tag(oasis.package_version())
